/*******************************************************/
/*                                                     */
/* GWIN INCLUDE FILE                                   */
/*                                                     */
/*******************************************************/

#include <exec/types.h>
#include <graphics/gfxbase.h>
#include <graphics/display.h>
#include <graphics/regions.h>
#include <graphics/gfx.h>
#include <graphics/gfxmacros.h>
#include <intuition/intuitionbase.h>
#include <intuition/intuition.h>
#include <stdio.h>
#include <exec/memory.h>
#include <hardware/custom.h>
#include <hardware/dmabits.h>
#include <libraries/dos.h>
#include <libraries/diskfont.h>
#include <devices/audio.h>
#include <math.h>

#define SCR_MAX 2
#define WIN_MAX 50
#define MAXVECTORS 1000
/* 640 x 400 / 8  (page 230 Mortimore) */
#define RASTERSIZE 32000

/*******************************************************/
/*                                                     */
/* GLOBAL VARIABLES                                    */
/*                                                     */
/*******************************************************/

struct RastPort *rport1;
struct Window *win[WIN_MAX];
struct Screen *scr[SCR_MAX];

struct GfxBase *GfxBase;
struct IntuitionBase *IntuitionBase;
struct DiskfontBase *DiskfontBase;

/* extern short Enable_Abort; */

